

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ACAST_3(OBJ);extern OBJ __ACAST_3;
extern OBJ _AMapNotForUserPurpose_4(OBJ,OBJ,OBJ);OBJ __AMapNotForUserPurpose_4; /* less */
extern OBJ _AMapNotForUserPurpose_5(OBJ,OBJ);OBJ __AMapNotForUserPurpose_5; /* abs */
extern OBJ _AMapNotForUserPurpose_6(OBJ,OBJ);OBJ __AMapNotForUserPurpose_6; /* rep */
extern OBJ _AMapNotForUserPurpose_8(OBJ,OBJ);OBJ __AMapNotForUserPurpose_8; /* abs,1 */
extern OBJ _AMapNotForUserPurpose_9(OBJ,OBJ);OBJ __AMapNotForUserPurpose_9; /* abs? */
extern OBJ _AMapNotForUserPurpose_10(OBJ,OBJ);OBJ __AMapNotForUserPurpose_10; /* rep,1 */

extern OBJ _AMapNotForUserPurpose_4(OBJ x1,OBJ x2,OBJ x3) /* less */
{OBJ r;
 {OBJ x10=FLD1(x2,1);
  if(EXPRD(x2,1)){
   FREE(FLD1(x2,2),1);DSPRDF(x2);
  }else{
   COPY(x10,1);
   FRPRD(x2,1);}
  {OBJ x12=FLD1(x3,1);
   if(EXPRD(x3,1)){
    FREE(FLD1(x3,2),1);DSPRDF(x3);
   }else{
    COPY(x12,1);
    FRPRD(x3,1);}
   {OBJ x14;
    x14=x12;
    r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x10,x14);}}}
 return r;}

extern OBJ _AMapNotForUserPurpose_5(OBJ x1,OBJ x2) /* abs */
{OBJ r;
 FRCLS(x1,1);
 r=_ACAST_3(x2);
 return r;}

extern OBJ _AMapNotForUserPurpose_6(OBJ x1,OBJ x2) /* rep */
{OBJ r;
 FRCLS(x1,1);
 r=_ACAST_3(x2);
 return r;}

extern OBJ _AMapNotForUserPurpose_8(OBJ x1,OBJ x2) /* abs,1 */
{OBJ r;
 FRCLS(x1,1);
 r=x2;
 return r;}

extern OBJ _AMapNotForUserPurpose_9(OBJ x1,OBJ x2) /* abs? */
{OBJ r;
 FRCLS(x1,1);
 FREE(x2,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AMapNotForUserPurpose_10(OBJ x1,OBJ x2) /* rep,1 */
{OBJ r;
 FRCLS(x1,1);
 r=x2;
 return r;}

init_AMapNotForUserPurpose()
{
 static int visited=0; if(visited) return; visited=1;
 init_APair();
 init_ASetByBST();
 init_AMap();
 init_ANat();
 init_AOption();
 init_ASet();
 init_ASeq();
 init_ABSTree();
 init_ATree();
 init_ACAST();
 CLS(2,_AMapNotForUserPurpose_10,__AMapNotForUserPurpose_10);
 CLS(2,_AMapNotForUserPurpose_9,__AMapNotForUserPurpose_9);
 CLS(2,_AMapNotForUserPurpose_8,__AMapNotForUserPurpose_8);
 CLS(2,_AMapNotForUserPurpose_6,__AMapNotForUserPurpose_6);
 CLS(2,_AMapNotForUserPurpose_5,__AMapNotForUserPurpose_5);
 CLS(3,_AMapNotForUserPurpose_4,__AMapNotForUserPurpose_4);}

